MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

# Data Structures

Here are the data structures with brief descriptions:

_Timer |
archive_file |
archive_plugin |
audio_format | This structure describes the format of a raw PCM stream
audio_format_string | Buffer for audio_format_string()
audio_output |
audio_output_plugin | A plugin which controls an audio output device
block_param |
client |
config_param |
decoder |
decoder_control |
decoder_plugin |
deferred_buffer |
directory |
dirvec |
encoder |
encoder_plugin |
filter |
filter_plugin |
icy_metadata |
input_plugin |
input_stream |
locate_item |
locate_item_list | An array of struct locate_item objects
mixer |
mixer_plugin |
music_chunk | A chunk of music data
notify |
options |
page | A dynamically allocated buffer which keeps track of its reference count
pcm_buffer | Manager for a temporary buffer which grows as needed
pcm_convert_state | This object is statically allocated (within another struct), and holds buffer allocations and the state for all kinds of PCM conversions
pcm_dither |
pcm_resample_state | This object is statically allocated (within another struct), and holds buffer allocations and the state for the resampler
player_control |
player_status |
playlist |
playlist_metadata | A directory entry pointing to a playlist file
playlist_plugin |
playlist_provider | An object which provides the contents of a playlist
playlist_vector |
queue | A queue of songs
queue_item | One element of the queue: basically a song plus some queue specific information attached
refcount |
replay_gain_info |
replay_gain_tuple |
song |
songvec |
stats |
stored_playlist_info |
tag | The meta information about a song file
tag_item | One tag value